> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# リポジトリの一括インデックス作成

> Devin セッションで使用するために、複数のリポジトリ（最大 100 件）をインデックス作成します。

このエンドポイントでは、複数のリポジトリをまとめてインデックス作成し、セッション中に Devin がアクセスできるようにします。1 回のリクエストで最大 100 件のリポジトリをインデックス作成できます。

<Note>
  リポジトリのインデックス作成は非同期的に実行されます。インデックス作成の進捗を確認するには、[Get Repository Status](/ja/api-reference/v2/repositories/get-repository-status) エンドポイントを使用してください。
</Note>


## OpenAPI

````yaml ja/v2-openapi.yaml POST /beta/v2/enterprise/repositories/bulk-index
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /beta/v2/enterprise/repositories/bulk-index:
    post:
      tags:
        - repositories
      summary: リポジトリの一括インデックス作成
      description: 最大100件のリポジトリを一括でインデックスし、高速インデックス化やWiki生成のオプションを利用できます。
      operationId: bulk_index_repositories_beta_v2_enterprise_repositories_bulk_index_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkRepoIndexRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    BulkRepoIndexRequest:
      properties:
        org_id:
          title: Org Id
          type: string
        repo_names:
          items:
            type: string
          maxItems: 100
          minItems: 1
          title: Repo Names
          type: array
      required:
        - org_id
        - repo_names
      title: BulkRepoIndexRequest
      type: object
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````